Update Billing Mode
PATCH
/billing/billing-mode
const url = 'https://api.mengi.cloud/billing/billing-mode';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"billing_mode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.mengi.cloud/billing/billing-mode \ --header 'Content-Type: application/json' \ --data '{ "billing_mode": "example" }'Switch between threshold and monthly billing modes.
New accounts start on threshold billing (collected every €50). After 30 days from mandate verification the account may switch to monthly billing (collected once per month). Switching back to threshold is always allowed.
Request Body required
Section titled “Request Body required ” Media type application/json
BillingModeUpdate
object
billing_mode
required
Billing Mode
string
Example generated
{ "billing_mode": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}